Bug 165312 - [patch] security/apg typo
Summary: [patch] security/apg typo
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Matthew Seaman
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-02-20 05:50 UTC by Anatoly Borodin
Modified: 2012-09-23 16:02 UTC (History)
0 users

See Also:


Attachments
file.txt (2.62 KB, text/plain)
2012-02-20 05:50 UTC, Anatoly Borodin
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Anatoly Borodin 2012-02-20 05:50:10 UTC
security/apg' docs contain a typo: "genetated" insted of "generated".

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2012-02-20 05:50:19 UTC
Responsible Changed
From-To: freebsd-ports-bugs->roam

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Matthew Seaman freebsd_committer 2012-02-27 23:49:29 UTC
Responsible Changed
From-To: roam->matthew


Taking over maintainership of security/apg
Comment 3 dfilter service freebsd_committer 2012-09-23 15:59:46 UTC
Author: matthew
Date: Sun Sep 23 14:59:36 2012
New Revision: 304744
URL: http://svn.freebsd.org/changeset/ports/304744

Log:
  - Fix spelling in docs: normally I'd submit this change upstream, but
    upstream has been completely unresponsive for years.
  - While here, rebuild patches using current naming conventions
  - Trim Makefile headers
  
  PR:		165312
  Submitted by:	Anatoly Borodin

Added:
  head/security/apg/files/patch-Makefile   (contents, props changed)
     - copied, changed from r304730, head/security/apg/files/patch-aa
  head/security/apg/files/patch-doc_man_apg.1   (contents, props changed)
  head/security/apg/files/patch-doc_man_apgd.8   (contents, props changed)
Deleted:
  head/security/apg/files/patch-aa
Modified:
  head/security/apg/Makefile   (contents, props changed)
  head/security/apg/files/patch-apg.c   (contents, props changed)

Modified: head/security/apg/Makefile
==============================================================================
--- head/security/apg/Makefile	Sun Sep 23 14:47:13 2012	(r304743)
+++ head/security/apg/Makefile	Sun Sep 23 14:59:36 2012	(r304744)
@@ -1,9 +1,5 @@
-# New ports collection makefile for:	apg
-# Date created:		1 September 2000
-# Whom:			roam@FreeBSD.org
-#
+# Created by:	roam@FreeBSD.org
 # $FreeBSD$
-#
 
 PORTNAME=	apg
 PORTVERSION=	2.3.0b

Copied and modified: head/security/apg/files/patch-Makefile (from r304730, head/security/apg/files/patch-aa)
==============================================================================
--- head/security/apg/files/patch-aa	Sun Sep 23 08:02:06 2012	(r304730, copy source)
+++ head/security/apg/files/patch-Makefile	Sun Sep 23 14:59:36 2012	(r304744)
@@ -1,9 +1,5 @@
-Description: Add CrackLib support and conditionalize the build variables.
-Forwarded: no
-Author: Peter Pentchev <roam@FreeBSD.org>,
-	Dominic Marks <dominic_marks@btinternet.com>,
-	Roman Neuhauser <roman@bellavista.cz>
-Last-Update: 2010-12-23
+
+$FreeBSD$
 
 --- Makefile.orig
 +++ Makefile

Modified: head/security/apg/files/patch-apg.c
==============================================================================
--- head/security/apg/files/patch-apg.c	Sun Sep 23 14:47:13 2012	(r304743)
+++ head/security/apg/files/patch-apg.c	Sun Sep 23 14:59:36 2012	(r304744)
@@ -1,8 +1,5 @@
-Description: Fix a segfault with crypt(3) password encryption.
-Origin: Debian; http://bugs.debian.org/337116
-Forwarded: yes
-Author: Paul Martin <pm@debian.org>
-Last-Update: 2010-12-23
+
+$FreeBSD$
 
 --- apg.c.orig
 +++ apg.c

Added: head/security/apg/files/patch-doc_man_apg.1
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/security/apg/files/patch-doc_man_apg.1	Sun Sep 23 14:59:36 2012	(r304744)
@@ -0,0 +1,14 @@
+
+$FreeBSD$
+
+--- doc/man/apg.1.orig
++++ doc/man/apg.1
+@@ -233,7 +233,7 @@
+ quiet mode (do not print warnings)
+ .TP
+ .B -l
+-spell genetated passwords. Useful when you want to read generated password by telephone.
++spell generated passwords. Useful when you want to read generated password by telephone.
+ .RS
+ .B WARNING:
+ Think twice before read your password by phone.

Added: head/security/apg/files/patch-doc_man_apgd.8
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/security/apg/files/patch-doc_man_apgd.8	Sun Sep 23 14:59:36 2012	(r304744)
@@ -0,0 +1,14 @@
+
+$FreeBSD$
+
+--- doc/man/apgd.8.orig
++++ doc/man/apgd.8
+@@ -248,7 +248,7 @@
+ .SS "Password output options"
+ .TP
+ .B -l
+-spell genetated passwords. Useful when you want to read generated password by telephone.
++spell generated passwords. Useful when you want to read generated password by telephone.
+ .RS
+ .B WARNING:
+ Think twice before read your password by phone.
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 Matthew Seaman freebsd_committer 2012-09-23 16:01:38 UTC
State Changed
From-To: open->closed

Committed, thanks.